<?php add_action( 'vc_before_init', 'dt_sc_woo_menus_list_vc_map' );
function dt_sc_woo_menus_list_vc_map() {

	vc_map( array( 

		"name" => esc_html__( "Menus List", 'designthemes-core' ),
		"base" => "dt_sc_woo_menus_list",
		"icon" => "dt-vc-icon-dt_sc_woo_menus_list",
		"category" => DT_VC_CATEGORY,
		"params" => array(

			array(
				'type' => 'autocomplete',
				'heading' => __( 'Terms', 'designthemes-core' ),
				'param_name' => 'terms',
				'settings' => array(
					'multiple' => true,
					'min_length' => 1,
					'groups' => true,
					'unique_values' => true,
					'display_inline' => true,
					'delay' => 500,
					'auto_focus' => true,
				),
				'param_holder_class' => 'vc_not-for-custom',
				'description' => __( 'Enter product category & pick.', 'designthemes-core' )
			),

			array (
				"type" => "textfield",
				"heading" => esc_html__( "Products Per Page", 'designthemes-core' ),
				"param_name" => "posts_per_page",
				"value" => 3,
				"save_always" => true
			),

			array (
				"type" => "dropdown",
				"heading" => esc_html__( "Order by", 'designthemes-core' ),
				"param_name" => "orderby",
				'save_always' => true,
				"value" => array (
					esc_html__( 'Publish Date', 'designthemes-core' ) => 'date',
					esc_html__( 'Modified Date', 'designthemes-core' ) => 'modified',
					esc_html__( 'Random', 'designthemes-core' ) => 'rand',
					esc_html__( 'Alphabetic', 'designthemes-core' ) => 'title',
					esc_html__( 'Popularity', 'designthemes-core' ) => 'popularity',
					esc_html__( 'Rate', 'designthemes-core' ) => 'rating',
					esc_html__( 'Price', 'designthemes-core' ) => 'price'
				)
			),

			array (
				"type" => "dropdown",
				"heading" => esc_html__( "Sort order", 'designthemes-core' ),
				"param_name" => "order",
				'save_always' => true,
				"value" => array (
					esc_html__( 'Descending', 'designthemes-core' ) => 'desc',
					esc_html__( 'Ascending', 'designthemes-core' ) => 'asc'
				)
			),

      		array(
      			'type' => 'checkbox',
				'heading' => esc_html__( 'Show Thumb?', 'designthemes-core' ),
				'param_name' => 'show_thumb',
				'value' => array( esc_html__( 'Yes', 'designthemes-core' ) => 'yes'  ),
				'save_always' => true,
				'std' => 'yes',
				'description' => esc_html__( 'Enable thumb image for items.', 'designthemes-core' ),
			),

      		array(
      			'type' => 'checkbox',
				'heading' => esc_html__( 'Show Rating?', 'designthemes-core' ),
				'param_name' => 'show_rating',
				'value' => array( esc_html__( 'Yes', 'designthemes-core' ) => 'yes'  ),
				'save_always' => true,
				'std' => 'yes',
				'description' => esc_html__( 'Enable product rating for items.', 'designthemes-core' ),
			),

			array (
				"type" => "textfield",
				"heading" => esc_html__( 'Extra class name', 'designthemes-core' ),
				"param_name" => "el_class",
				"description" => esc_html__( "If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'designthemes-core' )
			),
		)
	) );
}?>