<?php
function kudil_kirki_config() {
	return 'kudil_kirki_config';
}

function kudil_defaults( $key = '' ) {
	$defaults = array();

	# site identify
	$defaults['use-custom-logo'] = '1';
	$defaults['custom-logo'] = KUDIL_THEME_URI.'/images/logo.png';
	$defaults['custom-light-logo'] = KUDIL_THEME_URI.'/images/light-logo.png';
	$defaults['site_icon'] = KUDIL_THEME_URI.'/images/favicon.ico';

	# site layout
	$defaults['site-layout'] = 'wide';

	# site skin
	$defaults['primary-color'] = '#c59d5f';
	$defaults['secondary-color'] = '#9d7d4c';
	$defaults['tertiary-color'] = '#d0b07e';
	$defaults['custom-title-color'] = '#ffffff';
	$defaults['body-bg-color']      = '';
	$defaults['body-content-color'] = '#505050';
	$defaults['body-a-color']       = '#505050';
	$defaults['body-a-hover-color'] = '#c59d5f';

	# site breadcrumb
	$defaults['customize-breadcrumb-title-typo'] = '1';
	$defaults['breadcrumb-title-typo'] = array( 'font-family' => 'Lato',
		'variant' => '700',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '32px',
		'line-height' => '',
		'letter-spacing' => '1.5px',
		'color' => '#ffffff',
		'text-align' => 'unset',
		'text-transform' => 'uppercase' );
	$defaults['customize-breadcrumb-typo'] = '0';
	$defaults['breadcrumb-typo'] = array( 'font-family' => 'Lato',
		'variant' => 'regular',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '16px',
		'line-height' => '',
		'letter-spacing' => '0',
		'color' => '#ffffff',
		'text-align' => 'unset',
		'text-transform' => 'none' );

	# site footer
	$defaults['customize-footer-title-typo'] = '1';
	$defaults['footer-title-typo'] = array( 'font-family' => 'Lato',
		'variant' => '700',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '16px',
		'line-height' => '32px',
		'letter-spacing' => '0',
		'color' => '#ffffff',
		'text-align' => 'left',
		'text-transform' => 'none' );
	$defaults['customize-footer-content-typo'] = '1';
	$defaults['footer-content-typo'] = array( 'font-family' => 'Lato',
		'variant' => 'regular',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '16px',
		'line-height' => '32px',
		'letter-spacing' => '0',
		'color' => '#808080',
		'text-align' => 'left',
		'text-transform' => 'none' );

	# site typography
	$defaults['customize-body-h1-typo'] = '1';
	$defaults['h1'] = array(
		'font-family' => 'Pinyon Script',
		'variant' => 'regular',
		'font-size' => '30px',
		'line-height' => '',
		'letter-spacing' => '0.5px',
		'color' => '#000000',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h2-typo'] = '1';
	$defaults['h2'] = array(
		'font-family' => 'Lato',
		'variant' => 'regular',
		'font-size' => '24px',
		'line-height' => '',
		'letter-spacing' => '0.5px',
		'color' => '#000000',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h3-typo'] = '1';
	$defaults['h3'] = array(
		'font-family' => 'Lato',
		'variant' => 'regular',
		'font-size' => '18px',
		'line-height' => '',
		'letter-spacing' => '0.5px',
		'color' => '#000000',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h4-typo'] = '1';
	$defaults['h4'] = array(
		'font-family' => 'Lato',
		'variant' => 'regular',
		'font-size' => '16px',
		'line-height' => '',
		'letter-spacing' => '0.5px',
		'color' => '#000000',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h5-typo'] = '1';
	$defaults['h5'] = array(
		'font-family' => 'Lato',
		'variant' => 'regular',
		'font-size' => '14px',
		'line-height' => '',
		'letter-spacing' => '0.5px',
		'color' => '#000000',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h6-typo'] = '1';
	$defaults['h6'] = array(
		'font-family' => 'Lato',
		'variant' => 'regular',
		'font-size' => '13px',
		'line-height' => '',
		'letter-spacing' => '0.5px',
		'color' => '#000000',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-content-typo'] = '1';
	$defaults['body-content-typo'] = array(
		'font-family' => 'Lato',
		'variant' => 'normal',
		'font-size' => '16px',
		'line-height' => '32px',
		'letter-spacing' => '0.5px',
		'color' => '#505050',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);

	if( !empty( $key ) && array_key_exists( $key, $defaults) ) {
		return $defaults[$key];
	}

	return '';
}

function kudil_image_positions() {

	$positions = array( "top left" => esc_attr__('Top Left','kudil'),
		"top center"    => esc_attr__('Top Center','kudil'),
		"top right"     => esc_attr__('Top Right','kudil'),
		"center left"   => esc_attr__('Center Left','kudil'),
		"center center" => esc_attr__('Center Center','kudil'),
		"center right"  => esc_attr__('Center Right','kudil'),
		"bottom left"   => esc_attr__('Bottom Left','kudil'),
		"bottom center" => esc_attr__('Bottom Center','kudil'),
		"bottom right"  => esc_attr__('Bottom Right','kudil'),
	);

	return $positions;
}

function kudil_image_repeats() {

	$image_repeats = array( "repeat" => esc_attr__('Repeat','kudil'),
		"repeat-x"  => esc_attr__('Repeat in X-axis','kudil'),
		"repeat-y"  => esc_attr__('Repeat in Y-axis','kudil'),
		"no-repeat" => esc_attr__('No Repeat','kudil')
	);

	return $image_repeats;
}

function kudil_border_styles() {

	$image_repeats = array(
		"none"	 => esc_attr__('None','kudil'),
		"dotted" => esc_attr__('Dotted','kudil'),
		"dashed" => esc_attr__('Dashed','kudil'),
		"solid"	 => esc_attr__('Solid','kudil'),
		"double" => esc_attr__('Double','kudil'),
		"groove" => esc_attr__('Groove','kudil'),
		"ridge"	 => esc_attr__('Ridge','kudil'),
	);

	return $image_repeats;
}

function kudil_animations() {

	$animations = array(
		'' 					 => esc_html__('Default','kudil'),	
		"bigEntrance"        =>  esc_attr__("bigEntrance",'kudil'),
        "bounce"             =>  esc_attr__("bounce",'kudil'),
        "bounceIn"           =>  esc_attr__("bounceIn",'kudil'),
        "bounceInDown"       =>  esc_attr__("bounceInDown",'kudil'),
        "bounceInLeft"       =>  esc_attr__("bounceInLeft",'kudil'),
        "bounceInRight"      =>  esc_attr__("bounceInRight",'kudil'),
        "bounceInUp"         =>  esc_attr__("bounceInUp",'kudil'),
        "bounceOut"          =>  esc_attr__("bounceOut",'kudil'),
        "bounceOutDown"      =>  esc_attr__("bounceOutDown",'kudil'),
        "bounceOutLeft"      =>  esc_attr__("bounceOutLeft",'kudil'),
        "bounceOutRight"     =>  esc_attr__("bounceOutRight",'kudil'),
        "bounceOutUp"        =>  esc_attr__("bounceOutUp",'kudil'),
        "expandOpen"         =>  esc_attr__("expandOpen",'kudil'),
        "expandUp"           =>  esc_attr__("expandUp",'kudil'),
        "fadeIn"             =>  esc_attr__("fadeIn",'kudil'),
        "fadeInDown"         =>  esc_attr__("fadeInDown",'kudil'),
        "fadeInDownBig"      =>  esc_attr__("fadeInDownBig",'kudil'),
        "fadeInLeft"         =>  esc_attr__("fadeInLeft",'kudil'),
        "fadeInLeftBig"      =>  esc_attr__("fadeInLeftBig",'kudil'),
        "fadeInRight"        =>  esc_attr__("fadeInRight",'kudil'),
        "fadeInRightBig"     =>  esc_attr__("fadeInRightBig",'kudil'),
        "fadeInUp"           =>  esc_attr__("fadeInUp",'kudil'),
        "fadeInUpBig"        =>  esc_attr__("fadeInUpBig",'kudil'),
        "fadeOut"            =>  esc_attr__("fadeOut",'kudil'),
        "fadeOutDownBig"     =>  esc_attr__("fadeOutDownBig",'kudil'),
        "fadeOutLeft"        =>  esc_attr__("fadeOutLeft",'kudil'),
        "fadeOutLeftBig"     =>  esc_attr__("fadeOutLeftBig",'kudil'),
        "fadeOutRight"       =>  esc_attr__("fadeOutRight",'kudil'),
        "fadeOutUp"          =>  esc_attr__("fadeOutUp",'kudil'),
        "fadeOutUpBig"       =>  esc_attr__("fadeOutUpBig",'kudil'),
        "flash"              =>  esc_attr__("flash",'kudil'),
        "flip"               =>  esc_attr__("flip",'kudil'),
        "flipInX"            =>  esc_attr__("flipInX",'kudil'),
        "flipInY"            =>  esc_attr__("flipInY",'kudil'),
        "flipOutX"           =>  esc_attr__("flipOutX",'kudil'),
        "flipOutY"           =>  esc_attr__("flipOutY",'kudil'),
        "floating"           =>  esc_attr__("floating",'kudil'),
        "hatch"              =>  esc_attr__("hatch",'kudil'),
        "hinge"              =>  esc_attr__("hinge",'kudil'),
        "lightSpeedIn"       =>  esc_attr__("lightSpeedIn",'kudil'),
        "lightSpeedOut"      =>  esc_attr__("lightSpeedOut",'kudil'),
        "pullDown"           =>  esc_attr__("pullDown",'kudil'),
        "pullUp"             =>  esc_attr__("pullUp",'kudil'),
        "pulse"              =>  esc_attr__("pulse",'kudil'),
        "rollIn"             =>  esc_attr__("rollIn",'kudil'),
        "rollOut"            =>  esc_attr__("rollOut",'kudil'),
        "rotateIn"           =>  esc_attr__("rotateIn",'kudil'),
        "rotateInDownLeft"   =>  esc_attr__("rotateInDownLeft",'kudil'),
        "rotateInDownRight"  =>  esc_attr__("rotateInDownRight",'kudil'),
        "rotateInUpLeft"     =>  esc_attr__("rotateInUpLeft",'kudil'),
        "rotateInUpRight"    =>  esc_attr__("rotateInUpRight",'kudil'),
        "rotateOut"          =>  esc_attr__("rotateOut",'kudil'),
        "rotateOutDownRight" =>  esc_attr__("rotateOutDownRight",'kudil'),
        "rotateOutUpLeft"    =>  esc_attr__("rotateOutUpLeft",'kudil'),
        "rotateOutUpRight"   =>  esc_attr__("rotateOutUpRight",'kudil'),
        "shake"              =>  esc_attr__("shake",'kudil'),
        "slideDown"          =>  esc_attr__("slideDown",'kudil'),
        "slideExpandUp"      =>  esc_attr__("slideExpandUp",'kudil'),
        "slideLeft"          =>  esc_attr__("slideLeft",'kudil'),
        "slideRight"         =>  esc_attr__("slideRight",'kudil'),
        "slideUp"            =>  esc_attr__("slideUp",'kudil'),
        "stretchLeft"        =>  esc_attr__("stretchLeft",'kudil'),
        "stretchRight"       =>  esc_attr__("stretchRight",'kudil'),
        "swing"              =>  esc_attr__("swing",'kudil'),
        "tada"               =>  esc_attr__("tada",'kudil'),
        "tossing"            =>  esc_attr__("tossing",'kudil'),
        "wobble"             =>  esc_attr__("wobble",'kudil'),
        "fadeOutDown"        =>  esc_attr__("fadeOutDown",'kudil'),
        "fadeOutRightBig"    =>  esc_attr__("fadeOutRightBig",'kudil'),
        "rotateOutDownLeft"  =>  esc_attr__("rotateOutDownLeft",'kudil')
    );

	return $animations;
}

function kudil_custom_fonts( $standard_fonts ){

	$custom_fonts = array();

	$fonts = cs_get_option('custom_font_fields');
	if( is_countable( $fonts ) && count( $fonts ) > 0 ):
		foreach( $fonts as $font ):
			$custom_fonts[$font['custom_font_name']] = array(
				'label' => $font['custom_font_name'],
				'variants' => array( '100', '100italic', '200', '200italic', '300', '300italic', 'regular', 'italic', '500', '500italic', '600', '600italic', '700', '700italic', '800', '800italic', '900', '900italic' ),
				'stack' => $font['custom_font_name'] . ', sans-serif'
			);
		endforeach;
	endif;

	return array_merge_recursive( $custom_fonts, $standard_fonts );
}
add_filter( 'kirki/fonts/standard_fonts', 'kudil_custom_fonts', 20 );